Announcement

Collapse
No announcement yet.

Urgent help needed! Version 2.3.5, getting eval()'d code errors when setup.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Urgent help needed! Version 2.3.5, getting eval()'d code errors when setup.

    Hi,

    I need to duplicate my v2.3.5 vbulletin from my production server to my test server so that i can do some testing.

    I tried to copy the whole folder + a dump of the database from my production server and copied to my test server. However i am getting errors when i run the index.php:

    Warning: Unknown (c:\forum\index.php):failed to open stream: Permission denied in Unknown on line 0

    Warning: (null)(): Failed opening 'C:\forum\index.php' for inclusion (include_path='.;c:\php4\pear') in Unknown on line 0

    May i know how do i solve this? I tried to install a fresh downloaded copy of vbulletin v2.3.5 and tried to run admin/install.php and it gives me a same error also. However when i tried to install a fresh copy of v3.6.5 it works perfectly.

    I am running php 4.4.0 and mysql 4.1.21 nt on my test server and php4.3.6 and mysql4.0.18 nt on my production server. Both running on IIS 6.0

    Hope someone can help me. Thanks!

    If customer number is requested to answer my question pls feel free to contact me.
    Last edited by esiaz; Thu 26th Apr '07, 1:17am. Reason: add in information

  • #2
    That looks like a permissions problem with your index.php file or forum directory.

    However it is also possible that vB 2.3.5 (which is ancient) is not compatible with those newer versions of PHP and MySQL which were released years after 2.3.5 was released.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      Hi, thanks for your reply.
      May i know how to check on my permissions for the directory?

      Comment


      • #4
        With FTP for one. You generally want the direcotries chmod'd to 755 (rwxr-xr-x) and the files to 644 (rw-r--r--)
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Hi, sorry dun get what u mean, cos im not using ftp. I am using localhost for the test site, where do i change the permissions?

          Thanks!

          Comment


          • #6
            I assume you are running a Windows system and frankly I don't know how to change permissions on that. I also doubt this is a permissions issue.

            I think it's far more likely that it is also possible that vB 2.3.5 (which is ancient) is not compatible with those newer versions of PHP and MySQL which were released years after 2.3.5 was released.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment

            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
            Working...
            X